2019-08-23 15:38 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005076Spring engineGeneralpublic2016-02-10 13:10
ReporterJools 
Assigned Tohokomoko 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version100.0+git 
Target VersionFixed in Version 
Summary0005076: Unitscript callin StopMoving() called twice
DescriptionWhen a unit (plane) is landing, the callins are executed in this sequence:

1. StoppedMoving()
2. StartMoving()
3. StoppedMoving()

This applies to latest dev. version -1128.

In 100.0, the sequence is the following:

1. StoppedMoving()
Steps To ReproduceIn infolog, there is the following output:

[f=0000434] [GiveUnits] spawned 1 arm_hawk unit(s) for team 0
[f=0000614] Value 1: 99, 2: 1, 3: 0, 4: 0
[f=0000614] StartMoving called for unitID:, 3711
[f=0001548] Value 1: 9, 2: 0, 3: 0, 4: 0
[f=0001548] StoppedMoving called for unitID:, 3711
[f=0001549] Value 1: 99, 2: 1, 3: 0, 4: 0
[f=0001549] StartMoving called for unitID:, 3711
[f=0001561] Value 1: 9, 2: 0, 3: 0, 4: 0
[f=0001561] StoppedMoving called for unitID:, 3711

This means:
Value 1: 9 => unit script callin StartMoving() was called

Value 1: 99 => unit script callin StopMoving() was called

StartMoving called for unitID => function UnitStartedMoving(unitID,unitDefID,teamID) was called in gadget cobcallins.lua

StoppedMoving called for unitID => function UnitStoppedMoving(unitID,unitDefID,teamID) was called in gadget cobcallins.lua
Additional InformationSee replay: http://replays.springrts.com/replay/d571ba56ceb82ab5c8a5ecf6eb9b928a/

Script for Arm Hawk: http://pastebin.com/e6fRGsgR
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon infolog.txt (51,711 bytes) 2016-02-10 00:30 -
    [ParseCmdLine] command-line args: "C:\Spring\engine\100.0\spring.exe --config=U:\bin\Spring\Data\springsettings.cfg "C:\Spring\script.txt""
    Using configuration source: "U:\bin\Spring\Data\springsettings.cfg"
    ============== <User Config> ==============
    AdvSky = 1
    BumpWaterBlurReflection = 1
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    CrossSize = 10
    DisableDemoVersionCheck = 1
    DualScreenMiniMapOnLeft = 1
    FeatureDrawDistance = 8000
    FeatureFadeDistance = 6500
    FixAltTab = 1
    GrassDetail = 0
    GroundDetail = 500
    GuiOpacity = 0.2
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = Red Comet
    LastSelectedMod = XTA $VERSION
    LastSelectedScript = Player vs. AI: NullAI 0.1
    LastSelectedSetting = Fullscreen
    LinkIncomingMaxPacketRate = 512
    LinkIncomingMaxWaitingPackets = 1024
    LinkIncomingPeakBandwidth = 524288
    LinkIncomingSustainedBandwidth = 131072
    LinkOutgoingBandwidth = 1048576
    MaxNanoParticles = 6000
    MaxParticles = 20000
    MouseDragScrollThreshold = 0
    NetworkTimeout = 0
    ReconnectTimeout = 0
    ReflectiveWater = 3
    SMFTexAniso = 0.0
    ScreenshotCounter = 621
    ScrollWheelSpeed = -25
    ShadowMapSize = 6144
    Shadows = 1
    ShowFPS = 1
    SmoothLines = 0
    SmoothPoints = 0
    SpringData = U:\bin\Spring\Data
    TeamHighlight = 0
    UnitIconDist = 800
    UnitLodDist = 600
    VSync = 1
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 56
    WindowState = 0
    XResolution = 1280
    XResolutionWindowed = 1243
    YResolution = 1024
    YResolutionWindowed = 971
    name = Jools
    snd_volbattle = 30
    snd_volgeneral = 92
    snd_volmaster = 11
    snd_volmusic = 10
    snd_volui = 77
    snd_volunitreply = 98
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 100.0
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Ultimate Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM)2 Quad CPU    Q6700  @ 2.66GHz; 4095MB RAM, 10237MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 1
     Logical CPU Cores: 4
    [CMyMath::Init] CPU SSE mask: 124, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  0,  SSE 4.2:  0
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1280x1024:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x864, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024
    SDL version:  linked 2.0.3; compiled 2.0.2
    GL version:   4.5.0 NVIDIA 347.52
    GL vendor:    NVIDIA Corporation
    GL renderer:  GeForce GTX 460/PCIe/SSE2
    GLSL version: 4.50 NVIDIA
    GLEW version: 1.5.8
    Video RAM:    total 1024MB, available 853MB
    SwapInterval: 1
    FBO::maxSamples: 32
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 190, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 84 (64kB)
    Using VSync
    [InitOpenGL] video mode set to 1280x1024:24bit @60Hz 
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [ThreadPool::SetThreadCount][1] #wanted=1 #current=1 #max=1
    [ThreadPool::SetThreadCount][2] #threads=0
    Using read-write data directory: U:\bin\Spring\Data\
    Using read-only data directory: C:\Spring\engine\100.0\
    Scanning: C:\Spring\engine\100.0\base
    Scanning: U:\bin\Spring\Data\maps
    Scanning: U:\bin\Spring\Data\games
    Scanning: U:\bin\Spring\Data\packages
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               Speakers (High Definition Audio Device)
    [f=0000000] [Sound]               Speakers (High Definition Audio Device)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 128
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=0 #current=1 #max=1
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0000000] [Threading] Main thread CPU affinity mask set: 15
    [f=0000000] [StartScript] Loading StartScript from: C:\Spring\script.txt
    [f=0000000] Connecting to: 78.46.100.156:8472
    [f=0000000] Connecting to 78.46.100.156:8472 using name [PRO]Jools
    [f=0000000] [InitOpenGL] video mode set to 1280x1024:24bit @60Hz 
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Red Comet
    [f=0000000] [AddGameSetupArchivesToVFS] using game: XTA test-1064-878b2b7 (archive: d8c9baf7ae0b646363e907f4e18e6d78.sdp)
    [f=0000000] Recording demo to: U:\bin\Spring\Data\demos\20160210_012928_Red Comet_100.sdf
    [f=0000000] PreGame::GameDataReceived: 359 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 0 (team 0, allyteam 0)
    [f=0000000] Warning: MapInfo.lua: Incorrect value "groundShadowDensity=1.800000"! Clamping to 0..1 range!!
    [f=0000000] Warning: MapInfo.lua: Incorrect value "unitShadowDensity=1.800000"! Clamping to 0..1 range!!
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/systemaddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/systemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=0000000] Warning: window-manager icon: Trying to set a window-manager icon with the wrong format.
    [f=0000000] Warning: window-manager icon: It has to be 24bit or 32bit, and on windows it additionally has to be 32x32 pixels.
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] Music files: , 1
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (38 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Warning: [Watchdog] Hang detection triggered for Spring 100.0.
    [f=0000000] Warning:   (in thread: load)
    [f=0000000] Warning: DLL information:
    [f=0000000] Error: 0x00400000	spring
    [f=0000000] Error: 0x775b0000	ntdll
    [f=0000000] Error: 0x757b0000	kernel32
    [f=0000000] Error: 0x767e0000	KERNELBASE
    [f=0000000] Error: 0x769e0000	ADVAPI32
    [f=0000000] Error: 0x76b90000	msvcrt
    [f=0000000] Error: 0x758c0000	sechost
    [f=0000000] Error: 0x75180000	RPCRT4
    [f=0000000] Error: 0x74f30000	SspiCli
    [f=0000000] Error: 0x74f20000	CRYPTBASE
    [f=0000000] Error: 0x54010000	GLU32
    [f=0000000] Error: 0x53dd0000	OPENGL32
    [f=0000000] Error: 0x75670000	GDI32
    [f=0000000] Error: 0x76560000	USER32
    [f=0000000] Error: 0x76540000	LPK
    [f=0000000] Error: 0x766f0000	USP10
    [f=0000000] Error: 0x53ce0000	DDRAW
    [f=0000000] Error: 0x54110000	DCIMAN32
    [f=0000000] Error: 0x76e30000	SETUPAPI
    [f=0000000] Error: 0x769b0000	CFGMGR32
    [f=0000000] Error: 0x76fd0000	OLEAUT32
    [f=0000000] Error: 0x76850000	ole32
    [f=0000000] Error: 0x74fa0000	DEVOBJ
    [f=0000000] Error: 0x6faf0000	dwmapi
    [f=0000000] Error: 0x76790000	IMAGEHLP
    [f=0000000] Error: 0x758f0000	SHELL32
    [f=0000000] Error: 0x75750000	SHLWAPI
    [f=0000000] Error: 0x725a0000	WINMM
    [f=0000000] Error: 0x75710000	WS2_32
    [f=0000000] Error: 0x758e0000	NSI
    [f=0000000] Error: 0x10000000	DevIL
    [f=0000000] Error: 0x5a690000	MSVCP80
    [f=0000000] Error: 0x56ff0000	MSVCR80
    [f=0000000] Error: 0x6b600000	OpenAL32
    [f=0000000] Error: 0x6cec0000	libgcc_s_sjlj-1
    [f=0000000] Error: 0x70780000	vorbisfile
    [f=0000000] Error: 0x68140000	ogg
    [f=0000000] Error: 0x64cc0000	vorbis
    [f=0000000] Error: 0x62e80000	zlib1
    [f=0000000] Error: 0x70e40000	libfreetype-6
    [f=0000000] Error: 0x64f80000	libfontconfig-1
    [f=0000000] Error: 0x68f40000	libexpat-1
    [f=0000000] Error: 0x62aa0000	glew32
    [f=0000000] Error: 0x6c740000	SDL2
    [f=0000000] Error: 0x75120000	IMM32
    [f=0000000] Error: 0x76a80000	MSCTF
    [f=0000000] Error: 0x72800000	VERSION
    [f=0000000] Error: 0x5ba80000	nvapi
    [f=0000000] Error: 0x77580000	profapi
    [f=0000000] Error: 0x6dca0000	uxtheme
    [f=0000000] Error: 0x00f30000	RTSSHooks
    [f=0000000] Error: 0x010e0000	PowerMenuHook
    [f=0000000] Error: 0x570a0000	nvoglv32
    [f=0000000] Error: 0x70950000	WTSAPI32
    [f=0000000] Error: 0x76b60000	WINTRUST
    [f=0000000] Error: 0x75300000	CRYPT32
    [f=0000000] Error: 0x77070000	MSASN1
    [f=0000000] Error: 0x6d810000	ntmarta
    [f=0000000] Error: 0x77160000	WLDAP32
    [f=0000000] Error: 0x70320000	WINSTA
    [f=0000000] Error: 0x76660000	CLBCatQ
    [f=0000000] Error: 0x6d680000	shfolder
    [f=0000000] Error: 0x72e70000	MMDevApi
    [f=0000000] Error: 0x6d8a0000	PROPSYS
    [f=0000000] Error: 0x53f80000	dsound
    [f=0000000] Error: 0x5abe0000	POWRPROF
    [f=0000000] Error: 0x681e0000	AUDIOSES
    [f=0000000] Error: 0x50b00000	dinput8
    [f=0000000] Error: 0x637c0000	HID
    [f=0000000] Error: 0x03930000	XInput1_3
    [f=0000000] Error: 0x708f0000	mswsock
    [f=0000000] Error: 0x6d780000	wship6
    [f=0000000] Error: 0x708e0000	wshtcpip
    [f=0000000] Error: 0x73b90000	dbghelp
    [f=0000000] Warning: Stacktrace (main) for Spring 100.0:
    [f=0000000] Warning: This stack trace indicates a problem with your graphic card driver. Please try upgrading or downgrading it. Specifically recommended is the latest driver, and one that is as old as your graphic card. Make sure to use a driver removal utility, before installing other drivers.
    [f=0000000] Warning: (0) C:\Windows\SysWOW64\ntdll.dll(NtQueryInformationThread+0x12) [0x775CFBFA]
    [f=0000000] Warning: (1) C:\Windows\system32\nvoglv32.DLL(DrvValidateVersion+0x7f55) [0x5790B6B5]
    [f=0000000] Warning: (2) C:\Windows\system32\nvoglv32.DLL [0x0071A557]
    [f=0000000] Warning: (3) C:\Windows\system32\nvoglv32.DLL [0x000E36DC]
    [f=0000000] Warning: (4) C:\Spring\engine\100.0\spring.exe [0x006E2723]
    [f=0000000] Warning: (5) C:\Spring\engine\100.0\spring.exe [0x006E44FA]
    [f=0000000] Warning: (6) C:\Spring\engine\100.0\spring.exe [0x00513EFE]
    [f=0000000] Warning: (7) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x69100) [0x008148C0]
    [f=0000000] Warning: (8) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6aca9) [0x00816469]
    [f=0000000] Warning: (9) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6c4e9) [0x00817CA9]
    [f=0000000] Warning: (10) C:\Windows\SysWOW64\ntdll.dll(bsearch+0x66) [0x775DEC62]
    [f=0000000] Warning: (11) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x693c0) [0x00814B80]
    [f=0000000] Warning: (12) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x25fe18) [0x00A0B5D8]
    [f=0000000] Warning: (13) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x5c780) [0x00807F40]
    [f=0000000] Warning: (14) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6887c) [0x0081403C]
    [f=0000000] Warning: (15) C:\Windows\SysWOW64\ntdll.dll(RtlDosApplyFileIsolationRedirection_Ustr+0x435) [0x775DF3DF]
    [f=0000000] Warning: (16) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6c4e9) [0x00817CA9]
    [f=0000000] Warning: (17) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x693c0) [0x00814B80]
    [f=0000000] Warning: Stacktrace (load) for Spring 100.0:
    [f=0000000] Warning: (0) C:\Windows\SysWOW64\ntdll.dll(NtQueryDirectoryFile+0x12) [0x775CFD8A]
    [f=0000000] Warning: (1) C:\Windows\syswow64\KERNELBASE.dll(FindFirstFileA+0x4e) [0x767FAB01]
    [f=0000000] Warning: (2) C:\Windows\syswow64\msvcrt.dll(fullpath+0x189) [0x76BA9667]
    [f=0000000] Warning: (3) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x26460a) [0x00A0FDCA]
    [f=0000000] Warning: (4) C:\Spring\engine\100.0\spring.exe [0x0076D025]
    [f=0000000] Warning: (5) C:\Spring\engine\100.0\spring.exe [0x0076D26E]
    [f=0000000] Warning: (6) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x7c8ef) [0x008280AF]
    [f=0000000] Warning: (7) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x802f4) [0x0082BAB4]
    [f=0000000] Warning: (8) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x7ad98) [0x00826558]
    [f=0000000] Warning: (9) C:\Spring\engine\100.0\spring.exe [0x00778FCD]
    [f=0000000] Warning: (10) C:\Spring\engine\100.0\spring.exe [0x0076FA1E]
    [f=0000000] Warning: (11) C:\Spring\engine\100.0\spring.exe [0x0076FB6A]
    [f=0000000] Warning: (12) C:\Spring\engine\100.0\spring.exe [0x00770011]
    [f=0000000] Warning: (13) C:\Spring\engine\100.0\spring.exe [0x005534DB]
    [f=0000000] Warning: (14) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x69100) [0x008148C0]
    [f=0000000] Warning: (15) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6c4e9) [0x00817CA9]
    [f=0000000] Warning: (16) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x693c0) [0x00814B80]
    [f=0000000] Warning: (17) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x25fe18) [0x00A0B5D8]
    [f=0000000] Warning: (18) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x5c780) [0x00807F40]
    [f=0000000] Warning: (19) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6887c) [0x0081403C]
    [f=0000000] Warning: (20) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x5e55c) [0x00809D1C]
    [f=0000000] Warning: (21) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x5cb4f) [0x0080830F]
    [f=0000000] Warning: (22) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x69563) [0x00814D23]
    [f=0000000] Warning: (23) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x5de1a) [0x008095DA]
    [f=0000000] Warning: (24) C:\Spring\engine\100.0\spring.exe [0x00552FEF]
    [f=0000000] Warning: (25) C:\Windows\SysWOW64\ntdll.dll(RtlFreeHeap+0x7e) [0x775DE023]
    [f=0000000] Warning: (26) C:\Windows\SysWOW64\ntdll.dll(RtlReAllocateHeap+0x1c7) [0x775F26B8]
    [f=0000000] Warning: (27) C:\Windows\SysWOW64\ntdll.dll(RtlInitUnicodeString+0x164) [0x775DE38C]
    [f=0000000] Warning: (28) C:\Windows\SysWOW64\ntdll.dll(RtlAllocateHeap+0xac) [0x775DE0F2]
    [f=0000000] Warning: (29) C:\Spring\engine\100.0\spring.exe [0x0071C8E6]
    [f=0000000] Warning: Stacktrace (audio) for Spring 100.0:
    [f=0000000] Warning: (0) C:\Windows\SysWOW64\ntdll.dll(ZwWaitForMultipleObjects+0x15) [0x775D013D]
    [f=0000000] Warning: (1) C:\Windows\syswow64\kernel32.dll(WaitForMultipleObjectsEx+0x8e) [0x757C19F8]
    [f=0000000] Warning: (2) C:\Windows\syswow64\kernel32.dll(WaitForMultipleObjects+0x18) [0x757C4200]
    [f=0000000] Warning: (3) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x1303b2) [0x008DBB72]
    [f=0000000] Warning: (4) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x172cc) [0x007C2A8C]
    [f=0000000] Warning: (5) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x355b17) [0x00B012D7]
    [f=0000000] Warning: (6) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x3493fd) [0x00AF4BBD]
    [f=0000000] Warning: (7) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x12d076) [0x008D8836]
    [f=0000000] Warning: (8) C:\Windows\syswow64\kernel32.dll(BaseThreadInitThunk+0x12) [0x757C338A]
    [f=0000000] Warning: (9) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x63) [0x775E9EF2]
    [f=0000000] Warning: (10) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x36) [0x775E9EC5]
    [f=0000000] Now is year:2016 and day:41
    [f=0000000] Easter Sunday is on:27/3/2016 or day number:86
    [f=0000000] It is not easter yet.
    [f=0000000] [unitdefs.lua] Error: removed the "arm_rebel" entry from the "arm_landship_lab" build menu
    [f=0000000] Removing obsolete weapondef tag: aimrate (in 'large_buildingex')
    [f=0000000] Removing obsolete weapondef tag: ballistic (in 'large_buildingex')
    [f=0000000] Removing obsolete weapondef tag: beamlaser (in 'large_buildingex')
    [f=0000000] Removing obsolete weapondef tag: beamweapon (in 'large_buildingex')
    [f=0000000] Removed 22504 additional obsolete weapondef tags
    [f=0000000] Loading all definitions:  10.988001
    [f=0000000] Game::LoadDefs (GameData): 11156 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] Exception:, cancel1.wav
    [f=0000000] Exception:, cancel2.wav
    [f=0000000] Exception:, count1.wav
    [f=0000000] Exception:, count2.wav
    [f=0000000] Exception:, count3.wav
    [f=0000000] Exception:, count4.wav
    [f=0000000] Exception:, count5.wav
    [f=0000000] Exception:, count6.wav
    [f=0000000] Exception:, fleabossattack.wav
    [f=0000000] [Sound]  parsed 751 sounds from gamedata/sounds.lua
    [f=0000000] Game::LoadDefs (Sound): 66 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 30 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 20
    [f=0000000] Warning: [CDamageArrayHandler] UnitDef "armcom" in ArmorDef "armcom" already belongs to ArmorDef category 1!
    [f=0000000] Warning: [CDamageArrayHandler] UnitDef "corcom" in ArmorDef "corcom" already belongs to ArmorDef category 2!
    [f=0000000] Warning: [CDamageArrayHandler] UnitDef "lost_equalizer" in ArmorDef "group_ships" already belongs to ArmorDef category 7!
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Warning: Could not load sound from def: battle/fastburn
    [f=0000000] Loading Unit Definitions
    [f=0000000] Warning: too many unit categories (32), skipping mine
    [f=0000000] Warning: too many unit categories (33), skipping jammer
    [f=0000000] Warning: too many unit categories (34), skipping flea
    [f=0000000] Warning: too many unit categories (35), skipping level3
    [f=0000000] Warning: too many unit categories (36), skipping guardian
    [f=0000000] Warning: too many unit categories (37), skipping lost
    [f=0000000] Warning: too many unit categories (38), skipping ctrl_b
    [f=0000000] Warning: too many unit categories (39), skipping ctrl_w
    [f=0000000] Warning: too many unit categories (40), skipping level2
    [f=0000000] Warning: too many unit categories (41), skipping notstructure
    [f=0000000] Warning: too many unit categories (42), skipping ctrl_g
    [f=0000000] Warning: too many unit categories (43), skipping ctrl_v
    [f=0000000] Warning: too many unit categories (44), skipping ht
    [f=0000000] Warning: too many unit categories (45), skipping special
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 2 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Warning: [CCEG::Load] EMGFLASH: Unknown tag smoke::sizegrowth
    [f=0000000] Warning: [CCEG::Load] DGUNTRACE: Unknown tag dirt::lifetime
    [f=0000000] Warning: [CCEG::Load] ZIPPERDICKER_EFFECT: Unknown tag heatcloud::color
    [f=0000000] Warning: [CCEG::Load] LIGHTNING_NEW: Unknown tag heatcloud::color
    [f=0000000] Warning: [CCEG::Load] LIGHTNING_NEW: Unknown tag smoke::sizegrowth
    [f=0000000] Warning: [CCEG::Load] PURPLELASER: Unknown tag smoke::sizegrowth
    [f=0000000] Warning: [CCEG::Load] DCAPtrace: Unknown tag dirt::lifetime
    [f=0000000] Warning: [CCEG::Load] FLAMETHROWER: Unknown tag smoke::sizegrowth
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag dirt::lifetime
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag heatcloud::colormap
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag heatcloud::colormap
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag heatcloud::colormap
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag heatcloud::colormap
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag heatcloud::colormap
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag heatcloud::colormap
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag heatcloud::colormap
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag heatcloud::colormap
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag heatcloud::colormap
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag heatcloud::colormap
    [f=0000000] Warning: [CCEG::Load] BERTHABLAST: Unknown tag smoke::sizegrowth
    [f=0000000] Warning: [CCEG::Load] TLLTRAIL: Unknown tag heatcloud::color
    [f=0000000] Warning: [GetClass] name "properties" does not match any ExplosionGenerator class (forgot the "custom:" prefix?)
    [f=0000000] Warning: [CCEG::Load] ERUPTVOLCANO: Unknown class "properties"
    [f=0000000] Warning: [CCEG::Load] table for CEG "smallrocketsmoke1" invalid (parse errors?)
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 659 ms
    [f=0000000] Game::LoadInterface (Console): 3 ms
    [f=0000000] InfoTexture: shaders
    [f=0000000] Loading LuaRules
    [f=0000000] No Self Pwn:  Nonexisting unit: Lost_fireraiser
    [f=0000000] No Self Pwn:  Nonexisting unit: Lost_Dreadnought
    [f=0000000] No Self Pwn:  Nonexisting unit: Lost_Devastator
    [f=0000000] gaia_critters.lua: gadget:Initialize() Game.mapName=Red Comet
    [f=0000000] no critter config for this map
    [f=0000000] Loaded SYNCED gadget:  gaia critter units  <gaia_critters.lua>
    [f=0000000] Loaded SYNCED gadget:  game_stats          <gui_endstats.lua>
    [f=0000000] Loaded SYNCED gadget:  CobButton           <unit_cobbutton.lua>
    [f=0000000] Added commander:, arm_commander
    [f=0000000] Added commander:, arm_commandpost
    [f=0000000] Added commander:, arm_nincommander
    [f=0000000] Added commander:, arm_scommander
    [f=0000000] Added commander:, arm_u0commander
    [f=0000000] Added commander:, arm_u2commander
    [f=0000000] Added commander:, arm_u3commander
    [f=0000000] Added commander:, arm_u4commander
    [f=0000000] Added commander:, arm_ucommander
    [f=0000000] Added commander:, core_commander
    [f=0000000] Added commander:, core_nincommander
    [f=0000000] Added commander:, core_scommander
    [f=0000000] Added commander:, core_u0commander
    [f=0000000] Added commander:, core_u2commander
    [f=0000000] Added commander:, core_u3commander
    [f=0000000] Added commander:, core_u4commander
    [f=0000000] Added commander:, core_ucommander
    [f=0000000] Added commander:, guardian_commander
    [f=0000000] Added commander:, guardian_u0commander
    [f=0000000] Added commander:, guardian_u2commander
    [f=0000000] Added commander:, guardian_u3commander
    [f=0000000] Added commander:, guardian_u4commander
    [f=0000000] Added commander:, guardian_ucommander
    [f=0000000] Added commander:, lost_commander
    [f=0000000] Added commander:, lost_u0commander
    [f=0000000] Added commander:, lost_u2commander
    [f=0000000] Added commander:, lost_u3commander
    [f=0000000] Added commander:, lost_u4commander
    [f=0000000] Added commander:, lost_ucommander
    [f=0000000] Loaded SYNCED gadget:  Team-comends        <game_teamcomends.lua>
    [f=0000000] Loaded SYNCED gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded SYNCED gadget:  Abandoned reveal    <unit_abandoned_reveal.lua>
    [f=0000000] Loaded SYNCED gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded SYNCED gadget:  Announce kills      <ui_announce_kills.lua>
    [f=0000000] Loaded SYNCED gadget:  Cloak lose target   <game_cloak_lose_target.lua>
    [f=0000000] Loaded SYNCED gadget:  Cobcallins          <cobcallins.lua>
    [f=0000000] Loaded SYNCED gadget:  Commander Sounds    <unit_commander_sounds.lua>
    [f=0000000] Loaded SYNCED gadget:  Crush ceg           <gfx_crushceg.lua>
    [f=0000000] Loaded SYNCED gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=0000000] Loaded SYNCED gadget:  Disable Buildoptions  <unit_disable_buildoptions.lua>
    [f=0000000] Loaded SYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded SYNCED gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=0000000] Loaded SYNCED gadget:  Factory Anti-Stuck  <factory_anti_stuck.lua>
    [f=0000000] Loaded SYNCED gadget:  Fire Rate           <unit_fire_rate.lua>
    [f=0000000] Loaded SYNCED gadget:  Health Upgrade      <unit_health_upgrade.lua>
    [f=0000000] Loaded SYNCED gadget:  I Hate CMD.SET_WANTED_MAX_SPEED  <i_hate_cmd_set_wanted_max_speed.lua>
    [f=0000000] Loaded SYNCED gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded SYNCED gadget:  Jumpjets            <unit_jumpjets.lua>
    [f=0000000] Loaded SYNCED gadget:  Local sounds        <snd_local.lua>
    [f=0000000] Loaded SYNCED gadget:  Lua unit script framework  <unit_script.lua>
    [f=0000000] Loaded SYNCED gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=0000000] Loaded SYNCED gadget:  Minelayer Limit     <unit_minelayer_limit.lua>
    [f=0000000] Loaded SYNCED gadget:  Mission Script Engine  <game_mission_script.lua>
    [f=0000000] Loaded SYNCED gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=0000000] Loaded SYNCED gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=0000000] Loaded SYNCED gadget:  NoAirNuke           <exp_no_air_nuke.lua>
    [f=0000000] Loaded SYNCED gadget:  Production Rate     <unit_buildspeed.lua>
    [f=0000000] Loaded SYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded SYNCED gadget:  Repair Pad          <unit_repairpad.lua>
    [f=0000000] Loaded SYNCED gadget:  Spawn               <commoption.lua>
    [f=0000000] Loaded SYNCED gadget:  State Broadcast     <game_statebroadcast.lua>
    [f=0000000] Loaded SYNCED gadget:  Stockpile limit     <unit_stockpile_limit.lua>
    [f=0000000] Loaded SYNCED gadget:  Transporter wrecks  <game_transporterwrecks.lua>
    [f=0000000] Loaded SYNCED gadget:  UnitEStallDisable   <unit_estall_disable.lua>
    [f=0000000] Loaded SYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=0000000] Loaded SYNCED gadget:  UnitStealth         <unit_stealth.lua>
    [f=0000000] Loaded SYNCED gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded SYNCED gadget:  enablecheats        <dbg_cheats.lua>
    [f=0000000] Loaded SYNCED gadget:  game_zombiemode     <game_zombiemode.lua>
    [f=0000000] Loaded SYNCED gadget:  gui_minimapX        <gui_minimapx.lua>
    [f=0000000] Loaded SYNCED gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=0000000] Loaded SYNCED gadget:  unit_crashing_aircraft  <unit_crashing_aircraft.lua>
    [f=0000000] Loaded SYNCED gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded SYNCED gadget:  Cursor handling     <gui_cursorhandling.lua>
    [f=0000000] Loaded SYNCED gadget:  Fleabowl Muzak      <ui_fleabowl_muzak.lua>
    [f=0000000] Loaded SYNCED gadget:  Remove commands     <unit_removecommands.lua>
    [f=0000000] Loaded SYNCED gadget:  Sneer after comnap  <ui_comnapsneer.lua>
    [f=0000000] Loaded SYNCED gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded SYNCED gadget:  Add commands        <game_addcommand.lua>
    [f=0000000] Loaded SYNCED gadget:  Airstrikes          <gui_airstrike.lua>
    [f=0000000] Loaded SYNCED gadget:  Gameover procedure  <game_gameover.lua>
    [f=0000000] Loaded SYNCED gadget:  Kamikaze            <unit_kamikaze.lua>
    [f=0000000] Loaded SYNCED gadget:  WatchBuilders       <unit_watchbuilders.lua>
    [f=0000000] Loaded SYNCED gadget:  TeamDiedMessages    <gui_teamdiedmessages.lua>
    [f=0000000] Loaded SYNCED gadget:  Game End            <game_end.lua>
    [f=0000000] Loaded SYNCED gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=0000000] Loaded SYNCED gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded UNSYNCED gadget:  game_stats          <gui_endstats.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Abandoned reveal    <unit_abandoned_reveal.lua>
    [f=0000000] Loaded UNSYNCED gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Announce kills      <ui_announce_kills.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Cloak lose target   <game_cloak_lose_target.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Cobcallins          <cobcallins.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Commander Sounds    <unit_commander_sounds.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Crush ceg           <gfx_crushceg.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Factory Anti-Stuck  <factory_anti_stuck.lua>
    [f=0000000] Loaded UNSYNCED gadget:  I Hate CMD.SET_WANTED_MAX_SPEED  <i_hate_cmd_set_wanted_max_speed.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Local sounds        <snd_local.lua>
    [f=0000000] Loaded UNSYNCED gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Minelayer Limit     <unit_minelayer_limit.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Mission Script Engine  <game_mission_script.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded UNSYNCED gadget:  State Broadcast     <game_statebroadcast.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Stockpile limit     <unit_stockpile_limit.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Transporter wrecks  <game_transporterwrecks.lua>
    [f=0000000] Loaded UNSYNCED gadget:  UnitEStallDisable   <unit_estall_disable.lua>
    [f=0000000] Loaded UNSYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=0000000] Loaded UNSYNCED gadget:  UnitStealth         <unit_stealth.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded UNSYNCED gadget:  enablecheats        <dbg_cheats.lua>
    [f=0000000] Loaded UNSYNCED gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded UNSYNCED gadget:  gui_minimapX        <gui_minimapx.lua>
    [f=0000000] Loaded UNSYNCED gadget:  mo_nowrecks         <mo_nowrecks.lua>
    [f=0000000] Loaded UNSYNCED gadget:  unit_crashing_aircraft.lua  <unit_crashing_aircraft.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Cursor handling     <gui_cursorhandling.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Fleabowl Muzak      <ui_fleabowl_muzak.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Remove commands     <unit_removecommands.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Sneer after comnap  <ui_comnapsneer.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Add commands        <game_addcommand.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Airstrikes          <gui_airstrike.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Gameover procedure  <game_gameover.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Kamikaze            <unit_kamikaze.lua>
    [f=0000000] Loaded UNSYNCED gadget:  WatchBuilders       <unit_watchbuilders.lua>
    [f=0000000] Loaded UNSYNCED gadget:  TeamDiedMessages    <gui_teamdiedmessages.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Game End            <game_end.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Chicken Spawner     <unit_spawner.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Lups                <lups_wrapper.lua>
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Switching to Overhead (TA) style camera
    [f=0000000] [widgets.lua] Error: Failed to load: group_label.lua  (duplicate name)
    [f=0000000] [widgets.lua] Error: Failed to load: gui_options.lua  (duplicate name)
    [f=0000000] Warning: [GetPrimitives] unknown 3DO texture "cz_tread200" for piece "tracks"
    [f=0000000] Warning: [Watchdog] Hang detection triggered for Spring 100.0.
    [f=0000000] Warning:   (in thread: load)
    [f=0000000] Warning: DLL information:
    [f=0000000] Error: 0x00400000	spring
    [f=0000000] Error: 0x775b0000	ntdll
    [f=0000000] Error: 0x757b0000	kernel32
    [f=0000000] Error: 0x767e0000	KERNELBASE
    [f=0000000] Error: 0x769e0000	ADVAPI32
    [f=0000000] Error: 0x76b90000	msvcrt
    [f=0000000] Error: 0x758c0000	sechost
    [f=0000000] Error: 0x75180000	RPCRT4
    [f=0000000] Error: 0x74f30000	SspiCli
    [f=0000000] Error: 0x74f20000	CRYPTBASE
    [f=0000000] Error: 0x54010000	GLU32
    [f=0000000] Error: 0x53dd0000	OPENGL32
    [f=0000000] Error: 0x75670000	GDI32
    [f=0000000] Error: 0x76560000	USER32
    [f=0000000] Error: 0x76540000	LPK
    [f=0000000] Error: 0x766f0000	USP10
    [f=0000000] Error: 0x53ce0000	DDRAW
    [f=0000000] Error: 0x54110000	DCIMAN32
    [f=0000000] Error: 0x76e30000	SETUPAPI
    [f=0000000] Error: 0x769b0000	CFGMGR32
    [f=0000000] Error: 0x76fd0000	OLEAUT32
    [f=0000000] Error: 0x76850000	ole32
    [f=0000000] Error: 0x74fa0000	DEVOBJ
    [f=0000000] Error: 0x6faf0000	dwmapi
    [f=0000000] Error: 0x76790000	IMAGEHLP
    [f=0000000] Error: 0x758f0000	SHELL32
    [f=0000000] Error: 0x75750000	SHLWAPI
    [f=0000000] Error: 0x725a0000	WINMM
    [f=0000000] Error: 0x75710000	WS2_32
    [f=0000000] Error: 0x758e0000	NSI
    [f=0000000] Error: 0x10000000	DevIL
    [f=0000000] Error: 0x5a690000	MSVCP80
    [f=0000000] Error: 0x56ff0000	MSVCR80
    [f=0000000] Error: 0x6b600000	OpenAL32
    [f=0000000] Error: 0x6cec0000	libgcc_s_sjlj-1
    [f=0000000] Error: 0x70780000	vorbisfile
    [f=0000000] Error: 0x68140000	ogg
    [f=0000000] Error: 0x64cc0000	vorbis
    [f=0000000] Error: 0x62e80000	zlib1
    [f=0000000] Error: 0x70e40000	libfreetype-6
    [f=0000000] Error: 0x64f80000	libfontconfig-1
    [f=0000000] Error: 0x68f40000	libexpat-1
    [f=0000000] Error: 0x62aa0000	glew32
    [f=0000000] Error: 0x6c740000	SDL2
    [f=0000000] Error: 0x75120000	IMM32
    [f=0000000] Error: 0x76a80000	MSCTF
    [f=0000000] Error: 0x72800000	VERSION
    [f=0000000] Error: 0x5ba80000	nvapi
    [f=0000000] Error: 0x77580000	profapi
    [f=0000000] Error: 0x6dca0000	uxtheme
    [f=0000000] Error: 0x00f30000	RTSSHooks
    [f=0000000] Error: 0x010e0000	PowerMenuHook
    [f=0000000] Error: 0x570a0000	nvoglv32
    [f=0000000] Error: 0x70950000	WTSAPI32
    [f=0000000] Error: 0x76b60000	WINTRUST
    [f=0000000] Error: 0x75300000	CRYPT32
    [f=0000000] Error: 0x77070000	MSASN1
    [f=0000000] Error: 0x6d810000	ntmarta
    [f=0000000] Error: 0x77160000	WLDAP32
    [f=0000000] Error: 0x70320000	WINSTA
    [f=0000000] Error: 0x76660000	CLBCatQ
    [f=0000000] Error: 0x6d680000	shfolder
    [f=0000000] Error: 0x72e70000	MMDevApi
    [f=0000000] Error: 0x6d8a0000	PROPSYS
    [f=0000000] Error: 0x53f80000	dsound
    [f=0000000] Error: 0x5abe0000	POWRPROF
    [f=0000000] Error: 0x681e0000	AUDIOSES
    [f=0000000] Error: 0x50b00000	dinput8
    [f=0000000] Error: 0x637c0000	HID
    [f=0000000] Error: 0x03930000	XInput1_3
    [f=0000000] Error: 0x708f0000	mswsock
    [f=0000000] Error: 0x6d780000	wship6
    [f=0000000] Error: 0x708e0000	wshtcpip
    [f=0000000] Error: 0x73b90000	dbghelp
    [f=0000000] Warning: Stacktrace (main) for Spring 100.0:
    [f=0000000] Warning: This stack trace indicates a problem with your graphic card driver. Please try upgrading or downgrading it. Specifically recommended is the latest driver, and one that is as old as your graphic card. Make sure to use a driver removal utility, before installing other drivers.
    [f=0000000] Warning: (0) C:\Windows\SysWOW64\ntdll.dll(NtQueryInformationThread+0x12) [0x775CFBFA]
    [f=0000000] Warning: (1) C:\Windows\system32\nvoglv32.DLL(DrvValidateVersion+0x7f55) [0x5790B6B5]
    [f=0000000] Warning: (2) C:\Windows\system32\nvoglv32.DLL [0x0071A557]
    [f=0000000] Warning: (3) C:\Windows\system32\nvoglv32.DLL [0x000E36DC]
    [f=0000000] Warning: (4) C:\Spring\engine\100.0\spring.exe [0x006E2723]
    [f=0000000] Warning: (5) C:\Spring\engine\100.0\spring.exe [0x006E44FA]
    [f=0000000] Warning: (6) C:\Spring\engine\100.0\spring.exe [0x00513EFE]
    [f=0000000] Warning: (7) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x69100) [0x008148C0]
    [f=0000000] Warning: (8) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6aca9) [0x00816469]
    [f=0000000] Warning: (9) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6c4e9) [0x00817CA9]
    [f=0000000] Warning: (10) C:\Windows\SysWOW64\ntdll.dll(bsearch+0x66) [0x775DEC62]
    [f=0000000] Warning: (11) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x693c0) [0x00814B80]
    [f=0000000] Warning: (12) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x25fe18) [0x00A0B5D8]
    [f=0000000] Warning: (13) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x5c780) [0x00807F40]
    [f=0000000] Warning: (14) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6887c) [0x0081403C]
    [f=0000000] Warning: (15) C:\Windows\SysWOW64\ntdll.dll(RtlDosApplyFileIsolationRedirection_Ustr+0x435) [0x775DF3DF]
    [f=0000000] Warning: (16) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6c4e9) [0x00817CA9]
    [f=0000000] Warning: (17) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x693c0) [0x00814B80]
    [f=0000000] Warning: Stacktrace (load) for Spring 100.0:
    [f=0000000] Warning: (0) C:\Windows\SysWOW64\ntdll.dll(ZwReadFile+0x15) [0x775CF8E5]
    [f=0000000] Warning: (1) C:\Windows\syswow64\kernel32.dll(ReadFile+0x54) [0x757C3EE7]
    [f=0000000] Warning: (2) C:\Windows\syswow64\msvcrt.dll(read+0x16e) [0x76BAC3B3]
    [f=0000000] Warning: (3) C:\Windows\syswow64\msvcrt.dll(read+0x77) [0x76BAC2BC]
    [f=0000000] Warning: (4) C:\Spring\engine\100.0\zlib1.dll(gzclose_r+0xe5) [0x62E86085]
    [f=0000000] Warning: (5) C:\Spring\engine\100.0\zlib1.dll(gzclose_r+0x1fd) [0x62E8619D]
    [f=0000000] Warning: (6) C:\Spring\engine\100.0\zlib1.dll(gzclose_r+0x3d2) [0x62E86372]
    [f=0000000] Warning: (7) C:\Spring\engine\100.0\zlib1.dll(gzungetc+0x113) [0x62E867C3]
    [f=0000000] Warning: (8) C:\Spring\engine\100.0\zlib1.dll(gzread+0x137) [0x62E86B07]
    [f=0000000] Warning: (9) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x7cb8e) [0x0082834E]
    [f=0000000] Warning: (10) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x802f4) [0x0082BAB4]
    [f=0000000] Warning: (11) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x7ad98) [0x00826558]
    [f=0000000] Warning: (12) C:\Spring\engine\100.0\spring.exe [0x00778FCD]
    [f=0000000] Warning: (13) C:\Spring\engine\100.0\spring.exe [0x0076FA1E]
    [f=0000000] Warning: (14) C:\Spring\engine\100.0\spring.exe [0x0076FB6A]
    [f=0000000] Warning: (15) C:\Spring\engine\100.0\spring.exe [0x00770011]
    [f=0000000] Warning: (16) C:\Spring\engine\100.0\spring.exe [0x0068BB3A]
    [f=0000000] Warning: (17) C:\Spring\engine\100.0\spring.exe [0x006966ED]
    [f=0000000] Warning: (18) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x18b250) [0x00936A10]
    [f=0000000] Warning: (19) C:\Spring\engine\100.0\spring.exe [0x00587650]
    [f=0000000] Warning: (20) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x69100) [0x008148C0]
    [f=0000000] Warning: (21) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6aca9) [0x00816469]
    [f=0000000] Warning: (22) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6c4e9) [0x00817CA9]
    [f=0000000] Warning: (23) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x693c0) [0x00814B80]
    [f=0000000] Warning: (24) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x25fe18) [0x00A0B5D8]
    [f=0000000] Warning: (25) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x5c780) [0x00807F40]
    [f=0000000] Warning: (26) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x6887c) [0x0081403C]
    [f=0000000] Warning: (27) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (28) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (29) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (30) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (31) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (32) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (33) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (34) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (35) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (36) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (37) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (38) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (39) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (40) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (41) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (42) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (43) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (44) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (45) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (46) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (47) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (48) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (49) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (50) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (51) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (52) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (53) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (54) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (55) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (56) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (57) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (58) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (59) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (60) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (61) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (62) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (63) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (64) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (65) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (66) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (67) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (68) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (69) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (70) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (71) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (72) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (73) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (74) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (75) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (76) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (77) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (78) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (79) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (80) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (81) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (82) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (83) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (84) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (85) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (86) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (87) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (88) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (89) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (90) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (91) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (92) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (93) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (94) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (95) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (96) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (97) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (98) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (99) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (100) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (101) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (102) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (103) C:\Windows\syswow64\msvcrt.dll(free+0x46) [0x76B998DA]
    [f=0000000] Warning: (104) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x69563) [0x00814D23]
    [f=0000000] Warning: (105) C:\Windows\SysWOW64\ntdll.dll(RtlFreeHeap+0x7e) [0x775DE023]
    [f=0000000] Warning: Stacktrace (audio) for Spring 100.0:
    [f=0000000] Warning: (0) C:\Windows\SysWOW64\ntdll.dll(ZwWaitForMultipleObjects+0x15) [0x775D013D]
    [f=0000000] Warning: (1) C:\Windows\syswow64\kernel32.dll(WaitForMultipleObjectsEx+0x8e) [0x757C19F8]
    [f=0000000] Warning: (2) C:\Windows\syswow64\kernel32.dll(WaitForMultipleObjects+0x18) [0x757C4200]
    [f=0000000] Warning: (3) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x1303b2) [0x008DBB72]
    [f=0000000] Warning: (4) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x172cc) [0x007C2A8C]
    [f=0000000] Warning: (5) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x355b17) [0x00B012D7]
    [f=0000000] Warning: (6) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x3493fd) [0x00AF4BBD]
    [f=0000000] Warning: (7) C:\Spring\engine\100.0\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x12d076) [0x008D8836]
    [f=0000000] Warning: (8) C:\Windows\syswow64\kernel32.dll(BaseThreadInitThunk+0x12) [0x757C338A]
    [f=0000000] Warning: (9) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x63) [0x775E9EF2]
    [f=0000000] Warning: (10) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x36) [0x775E9EC5]
    [f=0000000] Warning: [GetPrimitives] unknown 3DO texture "gokstripes2bfade100" for piece "rsystem"
    [f=0000000] Warning: [GetPrimitives] unknown 3DO texture "gokruneplate13b00" for piece "arm2"
    [f=0000000] Reloaded ctrlpanel from file: ctrlpanelImp.txt
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=2303412012
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=2303412036
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [LoadFinalize] finalized PFS (85ms, checksum f824bf32)
    [f=0000000] Loading Skirmish AIs
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] GameID: 5376ba56fc861cab016858db9983f1ed
    [f=0000000] Connection attempt from [PRO]Jools
    [f=0000000]  -> Version: 100.0
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Skirmish AI "Bot" (ID:0, Short-Name:"NullAI", Version:"") took over control of team 1
    [f=0000072] <[PRO]Jools> !send /cheat
    [f=0000073] Cheating is enabled!
    [f=0000148] [GiveUnits] spawned 1 arm_hawk unit(s) for team 0
    [f=0000334] Value 1: 99, 2: 1, 3: 0, 4: 0
    [f=0000334] StartMoving called for unitID:, 3711
    [f=0000878] Value 1: 9, 2: 0, 3: 0, 4: 0
    [f=0000878] StoppedMoving called for unitID:, 3711
    [f=0001032] [InitOpenGL] video mode set to 1280x1024:24bit @60Hz 
    [f=0003580] Connection attempt from Thorgasm
    [f=0003580]  -> Version: 100.0
    [f=0003580] [Game::ClientReadNet] added new player Thorgasm with number 1 to team 0
    [f=0003580]  -> Connection established (given id 1)
    [f=0004006] [InitOpenGL] video mode set to 1280x1024:24bit @60Hz 
    [f=0004050] [InitOpenGL] video mode set to 
    txt file icon infolog.txt (51,711 bytes) 2016-02-10 00:30 +

-Relationships
+Relationships

-Notes

~0015717

Kloot (developer)

confirmed: aircraft now seem to stop descending for a bit while still in the air, before dropping the rest of the way to the ground

~0015719

hokomoko (developer)

Fix 3855c7900c82c736d89874d8e7c0ca01eadfd46e committed to develop branch: (Should) Fix 0005076, repo: spring changeset id: 6598
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-02-10 00:30 Jools New Issue
2016-02-10 00:30 Jools File Added: infolog.txt
2016-02-10 01:09 Kloot Note Added: 0015717
2016-02-10 01:10 hokomoko Assigned To => hokomoko
2016-02-10 01:10 hokomoko Status new => assigned
2016-02-10 13:10 hokomoko Changeset attached => spring develop 3855c790
2016-02-10 13:10 hokomoko Note Added: 0015719
2016-02-10 13:10 hokomoko Status assigned => resolved
2016-02-10 13:10 hokomoko Resolution open => fixed
+Issue History